Skip to main content
POST

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

type
string
required

Payment type.

Minimum string length: 1
memberId
string
required

Id of member who checked in on the POS, who suppose to pay for the purchase Must contain latin alphanumeric characters, max length 32. Allowed special characters: '-', '_'

Required string length: 1 - 36
operationId
string
required

Unique identifier of initiate payment operation (should be same only for retries of the same operation)

Required string length: 1 - 64
amount
number<double>
required

Amount to pay

Required range: x >= 0
paymentLocation
string | null

Payment location. Required only for POS payments.

Maximum string length: 128
storeId
string | null

Store ID. Required only for Ecommerce, ScanAndPay payments.

Maximum string length: 64
receiptId
string | null

Unique payment identifier. Required for POS, Ecommerce, ScanAndPay payments.

Maximum string length: 64
requestMemberConfirmation
boolean

Determines whether member confirmation is needed for this payment

paymentMethods
object[] | null

List of payment methods chosen for payment. This parameter is optional. Currently only required for ManualTopUp, SubscriptionTopUp payments.

Minimum array length: 1
instantCapture
boolean
default:false

Indicates whether a capture of the reservation is instantaneous. This parameter is optional. Currently only required for ManualTopUp, SubscriptionTopUp payments.

isRecurring
boolean
default:false

Indicates whether the payment is recurring. This parameter is optional. Currently only used for SubscriptionTopUp payments.

Response

OK

paymentId
string
required

Payment id used to manage initiated payment and retrieve payment status

Minimum string length: 1
Last modified on August 10, 2026